makeSigns = ../bin/makeSigns.py
outsideExcelFile = ../signs_outside.xlsx
insideExcelFile = ../signs_inside.xlsx
editFinalSwitch = ../std_styles/editFinalSwitch.tex
platex = platex
dvipdfmx = dvipdfmx
gs = gs # MacOS X, Linux
# gs = gswin64c.exe  # Windows

.PHONY:	clean editmode finalmode

.PRECIOUS: %.inc

editmode:
	cp ../std_styles/editMode.tex $(editFinalSwitch)

finalmode:
	cp ../std_styles/finalMode.tex $(editFinalSwitch)

%.dvi:	%.tex %.inc
	$(platex) $<

%.pdf:	%.dvi
	$(dvipdfmx) -o tmp1.pdf $<
	$(gs) -q -dNOPAUSE -dBATCH -dNoOutputFonts -sDEVICE=pdfwrite -sProcessColorModel=DeviceCMYK -sColorConversionStrategy=CMYK -sOutputFile=tmp2.pdf tmp1.pdf
	mv tmp2.pdf $@
	rm tmp1.pdf

clean:
	-rm *.inc
	-rm *.dvi
	-rm *.aux
	-rm *.log
	-rm *.synctex.gz
